org.eclipse.ease.ui.scripts

## Class ScriptContributionFactory

- java.lang.Object
- - org.eclipse.jface.action.ContributionItem
  - - org.eclipse.ui.actions.CompoundContributionItem
    - - org.eclipse.ease.ui.scripts.ScriptContributionFactory

All Implemented Interfaces:
  IContributionItem, IWorkbenchContribution

    public final class ScriptContributionFactory
    extends CompoundContributionItem
    implements IWorkbenchContribution

Factory adding scripts to dynamically populated menu.

### Constructor Summary

Constructors
Constructor and Description
`ScriptContributionFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `dispose()`
`void` `initialize(IServiceLocator serviceLocator)`
`boolean` `isDirty()`

### Methods inherited from class org.eclipse.ui.actions.CompoundContributionItem

`fill, isDynamic, setParent`

### Methods inherited from class org.eclipse.jface.action.ContributionItem

`fill, fill, fill, getId, getParent, isEnabled, isGroupMarker, isSeparator, isVisible, saveWidgetState, setId, setVisible, toString, update, update`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ScriptContributionFactory

    public ScriptContributionFactory()

### Method Detail

#### initialize

    public void initialize(IServiceLocator serviceLocator)

Specified by:
  `initialize` in interface `IWorkbenchContribution`

#### isDirty

    public boolean isDirty()

Specified by:
  `isDirty` in interface `IContributionItem`
Overrides:
  `isDirty` in class `CompoundContributionItem`

#### dispose

    public void dispose()

Specified by:
  `dispose` in interface `IContributionItem`
Overrides:
  `dispose` in class `CompoundContributionItem`